<?php
namespace ElementorPro\Modules\Forms\Actions;
namespace ElementorPro\Modules\Forms;
namespace ElementorPro\Classes;
use Elementor\Controls_Manager;
use Elementor\Repeater;

add_action( 'elementor/widget/render_content', function( $content, $widget ) {
    if( 'form' === $widget->get_name() ) {
        $repeater = new Repeater();

        $repeater->start_controls_tabs( 'crm_form_fields_tabs' );

        $repeater->start_controls_tab( 'crm_form_fields_content_tab', [
            'label' => __( 'Content', 'elementor-pro' ),
        ] );

        $repeater->add_control(
            'crm_field_name',
            [
                'label' => __( 'Name', 'elementor-pro' ),
                'type' => Controls_Manager::TEXT,
                'default' => '',
            ]
        );

        $repeater->add_control(
            'crm_field_value',
            [
                'label' => __( 'Value', 'elementor-pro' ),
                'type' => Controls_Manager::TEXT,
                'default' => '',
            ]
        );

        $repeater->end_controls_tab();

        $repeater->end_controls_tabs();

        $widget->start_controls_section(
            'section_zebra_crm',
            [
                'label' => __( 'Send to Zebra CRM', 'text-domain' ),

            ]
        );

        $options =  [
            'enable' => __( 'Enable', 'elementor-pro' ),
            'disable' => __( 'Disable', 'elementor-pro' )
        ];

        $widget->add_control(
            'form_fields_test',
            [
                'label' => __( 'Fields for zebraCRM:', 'text-domain' ),
                'type' => Controls_Manager::REPEATER,
                'fields' => $repeater->get_controls(),
            ]
        );

        $widget->add_control(
            'zebra_crm_enable',
            [
                'label' => __( 'Send to Zebra CRM:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::SELECT,
                'options' => $options,
                'default' => 'disable',

            ]
        );
		
		$widget->add_control(
            'zebracrm_api_type',
            [
                'label' => __( 'New card or Update exsiting:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'add_customer',
				'options' => [
					true => __( 'New', 'text-domain'),
					false => __( 'Update', 'text-domain'),
				],

            ]
        );
		
		$widget->add_control(
            'zebracrm_sys_num',
            [
                'label' => __( 'מספר מערכת:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
            ]
        );
		
		$widget->add_control(
            'zebracrm_username',
            [
                'label' => __( 'שם משתמש:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
            ]
        );
		
		$widget->add_control(
            'zebracrm_password',
            [
                'label' => __( 'סיסמה:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
            ]
        );
		$widget->add_control(
            'zebracrm_card_type',
            [
                'label' => __( 'ZebraCRM card type:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
            ]
        );

		$widget->add_control(
            'zebracrm_identifier',
            [
                'label' => __( 'שדה אימות לעדכון:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
            ]
        );
		
        $widget->add_control(
            'zebracrm_id_credit',
            [
                'label' => __( 'ZebraCRM ID Credit:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'description' => __( '<h1 style="font-size: 25px">Fields from form</h1>', 'elementor' ),

            ]
        );

        $widget->add_control(
            'Additional_zebracrm_ids',
            [
                'label' => __( 'ZebraCRM ID Credit:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'description' => __( '<h1 style="font-size: 25px">Other fields</h1>', 'elementor' ),

            ]
        );
		
        foreach($widget->get_active_settings()['form_fields'] as $field) {
            $widget->add_control(
                'zebra_crm_field_'.$field['custom_id'],
                [
                    'label' => 'CRM Field ID for '.$field['field_label'],
                    'type' => \Elementor\Controls_Manager::TEXT,
                    'placeholder' => 'CRM Field ID',

                ]
            );
        }
		
        $widget->add_control(
            'zebracrm_id_date',
            [
                'label' => __( 'ZebraCRM ID Date:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
            ]
        );
		
        $widget->add_control(
            'zebracrm_id_time',
            [
                'label' => __( 'ZebraCRM ID Time:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
            ]
        );

        $widget->add_control(
            'zebracrm_id_page_url',
            [
                'label' => __( 'ZebraCRM ID Page URL:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
            ]
        );

        $widget->add_control(
            'zebracrm_id_user_agent',
            [
                'label' => __( 'ZebraCRM ID User Agent:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
            ]
        );
        $widget->add_control(
            'zebracrm_id_remote_tp',
            [
                'label' => __( 'ZebraCRM ID Remote IP:', 'text-domain' ),
                'type' => \Elementor\Controls_Manager::TEXT,
            ]
        );


        $widget->end_controls_section();

    }

    return $content;

}, 10, 2 );