<?php
/**
 * Plugin Name: ZebraCRM for elementor
 * Plugin URI: http://www.zebracrm.com
 * Description: ZebraCRM connection for Elementor Forms
 * Version: 2.2
 * Author:  Yonatan
 * Requires at least: 3.8.1
 * Tested up to: 5.5
 */

ini_set('display_errors',0);
add_action( 'elementor_pro/forms/mail_sent', function( $ajax_handler) {

    $form_fields = $_POST['form_fields'];
    $form_id = $_POST['form_id'];
    $page_id = $_POST['post_id'];
    $page_title =  get_the_title($page_id);
    $form_settings = $ajax_handler['form_fields'];
    $zebra_crm_status = $ajax_handler['zebra_crm_enable'];

    $additional_fields = $ajax_handler['form_fields_test'];

    if ($zebra_crm_status) {
        $fields = [];
        foreach ($form_fields as $form_setting => $value) {
            $fields[] = 'zebra_crm_field_' . $form_setting;
        }
        $zebra_crm_fields = [];

        foreach ($fields as $field) {
            $field_key = explode('zebra_crm_field_', $field);
            $field_key = $field_key[1];
            $zebra_crm_fields[$field_key] = $ajax_handler[$field];
        }

        $zebracrm_id_date = $ajax_handler['zebracrm_id_date'];
        $zebracrm_id_time = $ajax_handler['zebracrm_id_time'];
        $zebracrm_id_page_url = $ajax_handler['zebracrm_id_page_url'];
        $zebracrm_id_user_agent = $ajax_handler['zebracrm_id_user_agent'];
        $zebracrm_id_remote_tp = $ajax_handler['zebracrm_id_remote_tp'];
        $zebracrm_id_credit = $ajax_handler['zebracrm_id_credit'];
		$zebracrm_card_type = $ajax_handler['zebracrm_card_type'];
		$zebracrm_api_type = $ajax_handler['zebracrm_api_type'];
		$zebracrm_identifier = $ajax_handler['zebracrm_identifier'];
		$zebracrm_sys_num = $ajax_handler['zebracrm_sys_num'];
		$zebracrm_username = $ajax_handler['zebracrm_username'];
		$zebracrm_password = $ajax_handler['zebracrm_password'];


        $xml = new SimpleXMLElement("<?xml version=\"1.0\" encoding=\"UTF-8\"?><ROOT/>");

		$ZebraID = $zebracrm_sys_num;//edit
        $PERMISSION = $xml->addChild('PERMISSION');
        $PERMISSION->addChild('USERNAME', $zebracrm_username); //edit
        $PERMISSION->addChild('PASSWORD', $zebracrm_password); //edit

		$xml->addChild('IDENTIFIER',$zebracrm_identifier);
        $xml->addChild('CARD_TYPE', $zebracrm_card_type);
        $CUST_DETAILS = $xml->addChild('CUST_DETAILS');

      //  $CUST_DETAILS->addChild('Makorpniya1', $form_id);
        if (is_array($additional_fields)) {
            foreach ($additional_fields as $additional_field) {
                if (!empty($additional_field['crm_field_name'])) {
                    $tag = preg_replace('/\s+/', '', stripslashes(htmlspecialchars($additional_field['crm_field_name'])));
                    $CUST_DETAILS->addChild($tag, stripslashes(htmlspecialchars($additional_field['crm_field_value'])));
                }
            }
        }


        foreach ($form_fields as $field => $value) {

            $crm_field = $zebra_crm_fields[$field];
            if (!empty($crm_field)) {
                $CUST_DETAILS->addChild($crm_field, $value);
            }
        }
        if (empty($zebracrm_card_type)) {
            $CUST_DETAILS->addChild($zebracrm_card_type, 'private_customer');
        }
        if ($zebracrm_api_type) {
            $url = "https://$ZebraID.zebracrm.com/ext_interface.php?b=add_customer";
        }
			else {
            $url = "https://$ZebraID.zebracrm.com/ext_interface.php?b=update_customer";
        }
        if (!empty($zebracrm_id_date)) {
            $CUST_DETAILS->addChild($zebracrm_id_date, current_time('timestamp'));
        }
        if (!empty($zebracrm_id_time)) {
            $CUST_DETAILS->addChild($zebracrm_id_time, date('H:i', current_time('timestamp')));
        }
        if (!empty($zebracrm_id_page_url)) {
            $CUST_DETAILS->addChild($zebracrm_id_page_url, $page_title . ' ' . $_POST['referrer']);
        } else {
            $CUST_DETAILS->addChild('where_register', $page_title);
        }

        if (!empty($zebracrm_id_user_agent)) {
            $CUST_DETAILS->addChild($zebracrm_id_user_agent, $_SERVER['HTTP_USER_AGENT']);
        }
        if (!empty($zebracrm_id_remote_tp)) {
            $server_ip_keys = array(
                'HTTP_CLIENT_IP',
                'HTTP_X_FORWARDED_FOR',
                'HTTP_X_FORWARDED',
                'HTTP_X_CLUSTER_CLIENT_IP',
                'HTTP_FORWARDED_FOR',
                'HTTP_FORWARDED',
                'REMOTE_ADDR',
            );
            $remote_ip = '';
            foreach ($server_ip_keys as $key) {
                if (isset($_SERVER[$key])) {
                    $remote_ip = $_SERVER[$key];
                }
            }
            if (!$remote_ip) {
                $remote_ip = '127.0.0.1';
            }

            $CUST_DETAILS->addChild($zebracrm_id_remote_tp, $remote_ip);
        }
        if (!empty($zebracrm_id_credit)) {
            $CUST_DETAILS->addChild($zebracrm_id_credit, 'zebracrm.com');
        }

        $headers = array("Accept: application/xml", "Content-Type: application/xml");

        $curl = curl_init();
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_HEADER, $headers);
        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $xml->asXML());
        $return_curl_exec = curl_exec($curl);
        curl_close($curl);
    }

} );
/*add_action('elementor_pro/init', function () {
    require_once ('elementor_controlls.php');
});*/
require_once ('form_fields.php');
?>